local ini_file = "plugins/reload shortcut/reload.ini"
local id = gkini.ReadString2("modreg", "id", "null", ini_file)
local version = gkini.ReadString2("modreg", "version", "null", ini_file)

if type(lib) == "table" and lib[0] == "LME" then
	lib.register(ini_file)
	
	if gkini.ReadString("reload-shortcut", "override", "NO") == "NO" then
		lib.log_error("Reload Shortcut has detected Neoloader and will favor that system's reload system", 2, id, version)
		return
	else
		lib.log_error("Reload Shortcut has detected Neoloader and is configured to override the provided reload system", 3, id, version)
	end
end

RegisterUserCommand("reload", ReloadInterface)